Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 3 Jun 1997 19:41:21 -0700 (PDT)
From:      Dan Busarow <dan@dpcsys.com>
To:        Hendra Sentono <hendra@unix.ukdw.ac.id>
Cc:        questions@FreeBSD.ORG
Subject:   Re: perl library error: ld.so failed
Message-ID:  <Pine.UW2.3.95.970603193911.14341A-100000@cedb>
In-Reply-To: <Pine.BSF.3.91.970603161855.2145A-100000@unix.ukdw.ac.id>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Tue, 3 Jun 1997, Hendra Sentono wrote:
> Recently I add the lates perl package (for the 2.2.1-R) on this machine.
> But the result is when I run an .pl file (directly or from web browser),
> there is an error.
> 
> This is the error when I run it directly (from the shell):
> 
>    ld.so failed: Can't find shared library "libc.so.3.0"

You should install the package from the 2.1.7 tree instead of the 2.2.1
tree.

You can also try creating a link from your libc.so.2.x to libc.so.3.0
and see if it works.  If it works, leave it alone.  Otherwise
download the correct package.

Dan
-- 
 Dan Busarow                                                  714 443 4172
 DPC Systems / Beach.Net                                    dan@dpcsys.com
 Dana Point, California  83 09 EF 59 E0 11 89 B4   8D 09 DB FD E1 DD 0C 82




Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?Pine.UW2.3.95.970603193911.14341A-100000>